org.apache.xmlbeans

## Class StringEnumAbstractBase.Table

- java.lang.Object
- - org.apache.xmlbeans.StringEnumAbstractBase.Table

- Enclosing class:
    StringEnumAbstractBase

      public static final class StringEnumAbstractBase.Table
      extends Object

  Used to manage singleton instances of enumerations. Each subclass of StringEnumAbstractBase has an instance of a table to hold the singleton instances.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Table(StringEnumAbstractBase[] array)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StringEnumAbstractBase` | `forInt(int i)` Returns the singleton for an int code, or null if none.
    `StringEnumAbstractBase` | `forString(String s)` Returns the singleton for a `String`, or null if none.
    `int` | `lastInt()` Returns the last valid int code (the first is 1; zero is not used).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Table

          public Table(StringEnumAbstractBase[] array)

  - ### Method Detail

    - #### forString

          public StringEnumAbstractBase forString(String s)

      Returns the singleton for a `String`, or null if none.

    - #### forInt

          public StringEnumAbstractBase forInt(int i)

      Returns the singleton for an int code, or null if none.

    - #### lastInt

          public int lastInt()

      Returns the last valid int code (the first is 1; zero is not used).